package gruppe27;


import java.util.Collection;
import java.util.ArrayList;
import java.util.Collections;


public class FahrzielListe {

    private Collection fahrziele = new ArrayList();

    public boolean istLeer() {
        return fahrziele.isEmpty();
    }

    public void fgeHinzu(Ebene fahrziel) {
        if (!fahrziele.contains(fahrziel)) {
            fahrziele.add(fahrziel);
        }
    }

    public int gibAnzahlFahrziele() {
        return fahrziele.size();
    }

    public Status gibStatus(Ebene fahrziel) {
        return new Status(fahrziele.contains(fahrziel));
    }

    public void entferne(Ebene fahrziel) {
        fahrziele.remove(fahrziel);
    }

    public Collection gibFahrziele() {
        return Collections.unmodifiableCollection(fahrziele);
    }

}
